= form_for [@project, @note], remote: true, html: { :'data-type' => 'json', multipart: true, id: nil, class: "new_note js-new-note-form common-note-form" }, authenticity_token: true do |f|
  = note_target_fields
  = f.hidden_field :commit_id
  = f.hidden_field :line_code
  = f.hidden_field :noteable_id
  = f.hidden_field :noteable_type

  %ul.nav.nav-tabs
    %li.active
      = link_to '#note-write-holder', class: 'js-note-write-button' do
        = t("projects_section.notes.write")
    %li
      = link_to '#note-preview-holder', class: 'js-note-preview-button', data: { url: preview_project_notes_path(@project) } do
        = t("projects_section.notes.preview")
  %div
    .note-write-holder
      = f.text_area :note, size: 255, class: 'note_text js-note-text js-gfm-input markdown-area'

      .light.clearfix
        .pull-left
          = t("projects_section.notes.comments_are_parsed_with")
          = link_to t("projects_section.notes.gitlab_flavored_markdown"), help_page_path("markdown", "markdown"), target: '_blank'
        .pull-right
          = t("projects_section.notes.attach_images")
          (JPG, PNG, GIF)
          = t("projects_section.notes.by_dragging_and_dropping")
          = link_to(t("projects_section.notes.selecting_them"), '#', class: 'markdown-selector') + "."

    .note-preview-holder.hide
      .js-note-preview

  .note-form-actions
    .buttons
      = f.submit t("projects_section.notes.add_comment"), class: "btn comment-btn btn-grouped js-comment-button"
      = yield(:note_actions)
      %a.btn.grouped.js-close-discussion-note-form= t("projects_section.notes.cancel")

    .note-form-option
      %a.choose-btn.btn.js-choose-note-attachment-button
        %i.icon-paper-clip
        %span= t("projects_section.notes.choose_file")
      &nbsp;
      %span.file_name.js-attachment-filename= t("projects_section.notes.file_name")
      = f.file_field :attachment, class: "js-note-attachment-input hidden"

:javascript
  window.project_image_path_upload = "#{upload_image_project_path @project}";
